
;; Copyright (c) 1997-1998 David Kuehling

;; This software is provided 'as-is', without any express or implied
;; warranty. In no event will the authors be held liable for any damages
;; arising from the use of this software.

;; Permission is granted to anyone to use this software for any purpose,
;; including commercial applications, and to alter it and redistribute it
;; freely, subject to the following restrictions:

;; 1. The origin of this software must not be misrepresented; you must not
;;    claim that you wrote the original software. If you use this software
;;    in a product, an acknowledgment in the product documentation would be
;;    appreciated but is not required.
;; 2. Altered source versions must be plainly marked as such, and must not be
;;    misrepresented as being the original software.
;; 3. This notice may not be removed or altered from any source distribution.

;************************************************************************
;*  Extract								*
;*----------------------------------------------------------------------*
;*  Extracts Packer92-packed archive, given its address			*
;*  Parameters:								*
;*    a0 = pointer to archives' begin					*
;*    for normal and divided archives: d0.w = number of file		*
;*  Return:                                                             *
;*    d0.b = 0 OK		                                        *
;*         = FF Error							*
;*    a1   = pointer to uncompressed file				*
;*    d1.w = handle of uncompressed file				*
;*    d2.l = Length of uncompressed file				*
;*  All other registers are stored, and restored				*
;************************************************************************
pk92lib::Extract	EQU	pk92lib@0000


;************************************************************************
;*  FreeMem								*
;*----------------------------------------------------------------------*
;*  Destroys the handle, which was used by the last uncompression.	*
;*  FreeMem saves all registers.					*
;*  Parameters: nothing                                                 *
;*  Return: nothing                                                     *
;************************************************************************
pk92lib::FreeMem	EQU	pk92lib@0001
